%define name compiz
%define version 0.3.2
%define rel 4
%define cvs_version 0

%if  %{cvs_version}
%define srcname %{name}-%{version}-%{cvs_version}
%define distname %{name}
%define release %mkrel 0.%{cvs_version}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name: %name
Version: %version
Release: %release
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
URL: http://www.go-compiz.org/
Source: http://xorg.freedesktop.org/archive/individual/app/%{srcname}.tar.bz2 
Source1: compiz.defaults
# Patches for AIGLX
# Thanks Kristian Høgsberg
# Patch1 updated by Johannes (Hanno) Bck to automatically detect AIGLX
# http://svn.hboeck.de/xgl-overlay/x11-wm/compiz/files/compiz-tfp
Patch1: 0001-Also-check-for-tfp-in-server-extensions.txt
Patch3: 0003-Set-_NET_WM_CM_S-d-selection-instead-of-older-WM_S-d.txt
Patch4: 0004-Take-_COMPIZ_GL_INCLUDE_INFERIORS-selection-to-disable-child-window-clipping.txt
Patch5: compiz-mandriva-top.patch
# Patches from fedora
Patch6: glfinish.patch
# Patch from mandriva
Patch8: minimize-unminimize.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: libpng-devel
BuildRequires: GL-devel
BuildRequires: libwnck-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: libgnome-desktop-2-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: intltool
BuildRequires: automake
#BuildRequires: libqt4-devel
Requires: compositing-wm-common
Provides: compositing-wm

%description
OpenGL composite manager for Xgl and AIGLX.

%package devel
Summary: Development files for compiz
Group: Development/X11
Requires: %{name} = %{version}
Requires: png-devel
Requires: libxcomposite-devel
Requires: libxdamage-devel
Requires: libxfixes-devel
Requires: libxrandr-devel
Requires: libxinerama-devel
Requires: libice-devel
Requires: libsm-devel
Requires: startup-notification-devel
Requires: GL-devel

%description devel
Development files for compiz

%prep
%setup -q -n %{distname}
%patch1 -p1 -b .tfp_server_ext
%patch3 -p1 -b .net_wm_cm
%patch4 -p1 -b .disable_child_window
%patch5 -p1 -b .top
%patch6 -p1 -b .glfinish
%patch8 -p1 -b .minimize

%build
%if %{cvs_version}
  # This is a CVS snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%else
  aclocal
  automake
  autoconf
%endif
%configure2_5x \
		--disable-kde \
		--enable-gnome \
		--enable-libsvg-cairo
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/%{name}.defaults
%find_lang %{name}

%post
%post_install_gconf_schemas %{name} gwd

%preun
%preun_uninstall_gconf_schemas %{name} gwd

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/gconf/schemas/gwd.schemas
%{_bindir}/%{name}
%{_bindir}/gtk-window-decorator
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.a
%{_libdir}/window-manager-settings/lib%{name}.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/gnome/wm-properties/%{name}.desktop
%{_datadir}/compositing-wm/%{name}.defaults

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-4mdv2007.1
+ Revision: 84229
- new release
- use find_lang macro
- add compiz.defaults file

* Tue Nov 14 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-3mdv2007.1
+ Revision: 84205
- make the devel package require GL-devel

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-2mdv2007.1
+ Revision: 83931
- add missing requires in the devel package
- simplify schemas installation
- remove unneeded configure flags
- update URL

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-1mdv2007.1
+ Revision: 83716
- add gwd schemas
- 0.3.2

* Sat Oct 14 2006 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2006.0
+ Revision: 65130
- cosmetics and own some dirs
- 0.2.0
- move common compositing wm scripts/images in compositing-wm-common (configuration file is not backward compatible)
- provide compositing-wm

* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.11mdv2007.0
+ Revision: 61400
- fix LD_LIBRARY_PATH in compiz-start (#25439)

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.10mdv2007.0
+ Revision: 61345
- increase release (thanks to Colin Guthrie for all the help on #25429)
- use KDEWM to run compiz-start in KDE (#25429)
- use WINDOW_MANAGER to run compiz-start in Gnome (#25429)
- pass positionnal parameters from compiz-start to compiz
- move compiz/decorator actual start in compiz-start

* Thu Sep 07 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.9mdv2007.0
+ Revision: 60563
- use _libdir/mesa as LD_LIBRARY_PATH for compiz if Xgl is running

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - + This is a provisory solution to fix a bug.
    - minimize and unminimize quickly one window, the window lost your original position.

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.7mdv2007.0
+ Revision: 58573
- add some useful patches from  Fedora

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.6mdv2007.0
+ Revision: 58062
- use new top image, and adapt schema to scale image

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.5mdv2007.0
+ Revision: 57988
- really make the sysconfig file a config file
- simplify compiz args handling
- allow to configure another window decorator (#24620)
- remove hardcoded compiz and window-decorator path
- don't start compiz if in failsafe or drak3d session
- disable compiz by default
- start compiz after dbus in xinit

  + vguardiola <vguardiola>
    - New image top of cube
    - Change top image

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.4mdv2007.0
+ Revision: 56904
- compiz-0.0.13-0.20060817.4mdv2007.0
- handle the no3ddesktop cmdline option
- require mesa-demos

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.3mdv2007.0
+ Revision: 56750
- sleep some seconds to prevent kwin from stealing the display
- auto-start compiz if possible
- compiz-0.0.13-0.20060817.3mdv2007.0
- automatically enable indirectRendering and strictBinding on AIGLX

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.2mdv2007.0
+ Revision: 56610
- 0.0.13-0.20060817.2mdv2007.0
- require COMPIZ to be explicitely set to 'yes' in sysconfig file
- use --indirect-rendering --strict-binding by in xinit script when Xgl isn't used
- split long description
- add compiz-mandriva.png.patch and drop compiz-mdv.schemas
- drop duplicated schema, better patch compiz to use mandriva.png as default image
- remove old source

* Thu Aug 17 2006 plouf <plouf> 0.0.13-0.20060817.1mdv2007.0
+ Revision: 56560
- Add forgotten sources
-add compiz-mdv.schemas and mandriva.png

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com> 0.0.12.98-5mdv2007.0
+ Revision: 55441
- bump release
- really install sysconfig file
- fix the "don't run configure twice" hack
- allow to start compiz in X session (config in /etc/sysconfig/compiz)
- don't run configure twice

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - add BuildRequires: libxcomposite-devel libxdamage-devel intltool

  + Thierry Vignaud <tvignaud@mandriva.com>
    - release
    - fix buildrequires for x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Fixed some typos
    - Added the options for AIGLX in the description
    - Adding compiz to the repository
    - Adding patches making it work when using AIGLX

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add registration of gconf schema

